Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Do I need a new WiFi Module?

Discussion in 'Phantom 2 Vision + Discussion' started by steele9999, Nov 4, 2014.

  1. steele9999

    Joined:
    Apr 23, 2014
    Messages:
    79
    Likes Received:
    0
    I've been flying my P2V+ since May and I would occasionally get the message "Unfortunately, DJI Vision has stopped"

    I was always using version 1.0.39 of the Vision app. Recently I've been getting that message regularly. Now I get either that or the app starts and I get the "Black screen". I've updated the Phantom and the app to the latest version for both and I get the same thing. I'm using a Galaxy S3 and have tried a Nexus 7 with the same results.

    After reading through previous threads I think the WiFi module is the culprit. Can someone confirm this? I don't want to spend the money on something I might not need or might not fix the problem.

    Thanks for your help.
     
  2. CityZen

    Joined:
    Oct 22, 2014
    Messages:
    940
    Likes Received:
    36
    Location:
    NYC
  3. steele9999

    Joined:
    Apr 23, 2014
    Messages:
    79
    Likes Received:
    0
    I forgot to mention I also tried the "UNOFFICIAL" app that some others are using and had the same results.

    I'd hate to spend $190 and find out it's the software. Without FPV I feel like I;m back to my P! days, guessing where the camera is aimed.
     
  4. rbhamilton

    Joined:
    Aug 30, 2014
    Messages:
    538
    Likes Received:
    12
    I'd suggest you try a different phone. If you get the same results I guess it's related to the drone hardware.
     
  5. Mako79

    Joined:
    May 16, 2014
    Messages:
    3,409
    Likes Received:
    567
    Location:
    Sydney Australia
    First, try dropping resolutions to the lowest @ 15fps and fly closeby.
    Second, try using an IOS device.
    Please make sure the device you are using has atleast 2gbs free.

    Also, have you thought about upgrading the DJI app to the current?
    Android is 1.0.54
    And IOS should be 1.0.42
     
  6. steele9999

    Joined:
    Apr 23, 2014
    Messages:
    79
    Likes Received:
    0
    I am running 1.0.54 on both the S3 and the Nexus 7. I'll have to give it a try with an iPhone and see what happens.